%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

Name:           python-amara
Version:        1.2.0.2
Release:        17%{?dist}
Summary:        A collection of Pythonic tools for XML data binding

Group:          Development/Libraries
License:        ASL 1.1
URL:            http://uche.ogbuji.net/tech/4Suite/amara/
Source0:        ftp://ftp.4suite.org/pub/Amara/Amara-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  python-devel
# Needs python-4Suite-XML >= 1.0b2
BuildRequires:  python-4Suite-XML
BuildRequires: python-setuptools
Requires:       python-4Suite-XML
Requires:       python-setuptools

BuildArch:      noarch

%description
Amara is a collection of Pythonic tools for XML data binding. Not just tools
that happen to be written in Python, but tools built from the ground up to use
Python idioms and take advantage of the many advantages of Python over other
programming languages.

Amara builds on 4Suite, but whereas 4Suite focuses more on literal
implementation of XML standards in Python, Amara adds a much more Pythonic face
to these capabilities.

%prep
%setup -q -n Amara-%{version}

%build
%{__python} setup.py build

%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%{_bindir}/*
%dir %{python_sitelib}/amara
%{python_sitelib}/amara/*.py*
%{python_sitelib}/Amara-*.egg-info

%doc CHANGES COPYING demo docs README TODO

%changelog
* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.0.2-17
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.0.2-16
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.0.2-15
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Mon Jun 30 2014 Toshio Kuratomi <toshio@fedoraproject.org> - 1.2.0.2-14
- Replace python-setuptools-devel BR with python-setuptools

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.0.2-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.0.2-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.0.2-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.0.2-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.0.2-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.0.2-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Jul 21 2010 David Malcolm <dmalcolm@redhat.com> - 1.2.0.2-7
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Thu Apr  8 2010 José Matos <jamatos@fc.up.pt> - 1.2.0.2-6
- Require python-setuptools as python-amara does not work in its absence. 

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.0.2-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.0.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sat Nov 29 2008 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> - 1.2.0.2-3
- Rebuild for Python 2.6

* Wed Aug 29 2007 José Matos <jamatos[AT]fc.up.pt> - 1.2.0.2-2
- Build again, this time with right source.

* Wed Aug 29 2007 José Matos <jamatos[AT]fc.up.pt> - 1.2.0.2-1
- Adapt entry to use new python-setuptools (F8+).
- Fix the license tag.
- New upstream version.

* Sat Apr 21 2007 José Matos <jamatos[AT]fc.up.pt> - 1.1.9-8
- egg-info must go in python_sitelib and not python_sitearch

* Tue Feb  6 2007 José Matos <jamatos[AT]fc.up.pt> - 1.1.9-7
- BR python-setuptools.

* Mon Feb  5 2007 José Matos <jamatos[AT]fc.up.pt> - 1.1.9-6
- Add egg-info.

* Mon Feb  5 2007 José Matos <jamatos[AT]fc.up.pt> - 1.1.9-5
- Clean spec file.

* Tue Dec 12 2006 José Matos <jamatos[AT]fc.up.pt> - 1.1.9-4
- Respin (part II).

* Tue Dec 12 2006 José Matos <jamatos[AT]fc.up.pt> - 1.1.9-3
- Respin.

* Tue Dec 12 2006 José Matos <jamatos[AT]fc.up.pt> - 1.1.9-2
- Rebuild for python 2.5.

* Tue Sep 19 2006 José Matos <jamatos@fc.up.pt> - 1.1.9-1
- New upstream release.

* Mon Sep 11 2006 José Matos <jamatos[AT]fc.up.pt> - 1.1.7-2
- Rebuild for FC6.

* Mon Feb 13 2006 Ignacio Vazquez-Abrams <ivazquez@ivazquez.net> 1.1.7-1
- Upstream update

* Wed Apr 20 2005 Ignacio Vazquez-Abrams <ivazquez@ivazquez.net> 1.0-1.b1
- Upstream update
- Fixed file ownership

* Tue Apr  5 2005 Ignacio Vazquez-Abrams <ivazquez@ivazquez.net> 0.9.4-7
- Added python to BuildRequires
- Removed versioning code for now

* Wed Mar 30 2005 Ignacio Vazquez-Abrams <ivazquez@ivazquez.net> 0.9.4-6
- Added disttag

* Sat Mar 19 2005 Ignacio Vazquez-Abrams <ivazquez@ivazquez.net> 0.9.4-6
- %%

* Sat Mar 19 2005 Ignacio Vazquez-Abrams <ivazquez@ivazquez.net> 0.9.4-5
- Macros in %%changelog are dangerous

* Thu Mar 17 2005 Ignacio Vazquez-Abrams <ivazquez@ivazquez.net> 0.9.4-4
- Streamlined/fixed Python version handling
- Implemented %%python_sitelib
- Decreased verbosity in %%description

* Wed Mar 16 2005 Ignacio Vazquez-Abrams <ivazquez@ivazquez.net> 0.9.4-3
- Better %%pyver and BR/Requires handling
- Broke %%description at 80 columns
- Fixed file ownership

* Wed Mar 16 2005 Ignacio Vazquez-Abrams <ivazquez@ivazquez.net> 0.9.4-2
- Removed explicit Requires

* Tue Mar 15 2005 Ignacio Vazquez-Abrams <ivazquez@ivazquez.net> 0.9.4-1
- Bump release to 1

* Fri Feb  4 2005 Ignacio Vazquez-Abrams <ivazquez@ivazquez.net> 0:0.9.4-0.iva.0
- Upstream update

* Mon Jan 31 2005 Ignacio Vazquez-Abrams <ivazquez@ivazquez.net> 0:0.9.3-0.iva.0
- Upstream update

* Thu Jan 20 2005 Ignacio Vazquez-Abrams <ivazquez@ivazquez.net> 0:0.9.2-0.iva.0
- Initial RPM release.
